import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import Pagination from './index';

test('Pagination renders correctly', () => {
  const tree = renderer.create(
    <Pagination
      pageCount={10}
      pageRangeDisplayed={10}
      marginPagesDisplayed={1}
      onPageChange={item => alert(item.selected)}
    />
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
